Bug 247884 - New port: www/gwsocket Simple WebSocket Server
Summary: New port: www/gwsocket Simple WebSocket Server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-10 05:51 UTC by Daniel Morante
Modified: 2020-08-15 05:31 UTC (History)
2 users (show)

See Also:


Attachments
SVN diff (13.72 KB, patch)
2020-07-10 05:51 UTC, Daniel Morante
no flags Details | Diff
SVN diff (13.66 KB, patch)
2020-07-10 07:45 UTC, Daniel Morante
no flags Details | Diff
SVN diff (13.88 KB, patch)
2020-07-11 04:43 UTC, Daniel Morante
no flags Details | Diff
SVN diff (13.86 KB, patch)
2020-07-11 04:50 UTC, Daniel Morante
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2020-07-10 05:51:38 UTC
Created attachment 216353 [details]
SVN diff

gwsocket is a simple, standalone, language-agnostic, RFC6455 compliant WebSocket Server, written in C. It sits between your application and the client's browser, giving fast bidirectional communication between these two with ease and flexibility. 

More info at: http://gwsocket.io.

This port supports the ability to run multiple instances using *.conf files.
Comment 1 Daniel Morante 2020-07-10 07:45:26 UTC
Created attachment 216357 [details]
SVN diff

Removed UTF8 option (not supported).
Comment 2 daniel.engberg.lists 2020-07-10 22:38:46 UTC
GNU_CONFIGURE and INSTALL_TARGET seem out of place, portlint doesn't complain?

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-samplem.html

CFLAGS and LDFLAGS can't be replace by USES= localbase ?
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/uses-localbase.html

Any specific reason why you're using a fairly dynamic approach to pkg-plist?

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/plist-autoplist.html
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/plist-dynamic.html

Does it pass Poudreire?

Best regards,
Daniel
Comment 3 Daniel Morante 2020-07-11 04:42:27 UTC
(In reply to daniel.engberg.lists from comment #2)

Thank you for the feedback.  

Portlint only warned about the absolute path names for "/var/run/.." and "/var/log". This Makefile was derived from an existing port and I missed double checking that.   Regardless, I moved the GNU_CONFIGURE line to more sensible placement and removed INSTALL_TARGET since it seems to have no effect.

I also made a few changes to the pkg-list according to your suggestions, and got rid of the CFLAGS and LDFLAGS lines since those are also unnecessary.

While making the above changed I discovered an error with the way the OPENSSL option was being applied and fixed it.

The port passes Poudreire:
https://pkg.ny-us.morante.net/poudriere/data/12amd64-default/2020-07-10_23h56m28s/logs/gwsocket-0.3.log
Comment 4 Daniel Morante 2020-07-11 04:43:10 UTC
Created attachment 216372 [details]
SVN diff

Updated svn diff with corrections.
Comment 5 Daniel Morante 2020-07-11 04:50:54 UTC
Created attachment 216373 [details]
SVN diff

Upload correct patch.
Comment 6 daniel.engberg.lists 2020-07-19 10:23:00 UTC
LGTM, nice work!
Comment 7 daniel.engberg.lists 2020-08-02 10:31:20 UTC
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 8 Tobias C. Berner freebsd_committer 2020-08-15 05:31:02 UTC
Committed, thanks.
Comment 9 commit-hook freebsd_committer 2020-08-15 05:31:27 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug 15 05:30:43 UTC 2020
New revision: 544909
URL: https://svnweb.freebsd.org/changeset/ports/544909

Log:
  New port: www/gwsocket Simple WebSocket Server

  gwsocket is a simple, standalone, language-agnostic, RFC6455 compliant
  WebSocket Server, written in C. It sits between your application and the
  client's browser, giving fast bidirectional communication between these two
  with ease and flexibility.

  More info at: http://gwsocket.io.

  PR:             247884
  Submitted by:   Daniel Morante <daniel@morante.net>

Changes:
  head/www/Makefile
  head/www/gwsocket/
  head/www/gwsocket/Makefile
  head/www/gwsocket/distinfo
  head/www/gwsocket/files/
  head/www/gwsocket/files/gwsocket.conf
  head/www/gwsocket/files/gwsocket.in
  head/www/gwsocket/files/pkg-message.in
  head/www/gwsocket/files/sample.html
  head/www/gwsocket/pkg-descr
  head/www/gwsocket/pkg-plist